> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a project

> Updates one or more metadata fields (`name`, `description`, `reference`, `icon`, `emoji`) for the given project.

Requires workspace edit permission.

Returns `true` on success, `false` on failure.



## OpenAPI

````yaml put /project/{projectId}
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /project/{projectId}:
    put:
      tags:
        - Projects
      summary: Update a project
      description: >-
        Updates one or more metadata fields (`name`, `description`, `reference`,
        `icon`, `emoji`) for the given project.


        Requires workspace edit permission.


        Returns `true` on success, `false` on failure.
      operationId: updateProject
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: projectId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                reference:
                  type: string
                description:
                  type: string
                icon:
                  type: object
                  properties:
                    name:
                      type: string
                    color:
                      type: string
                  required:
                    - name
                    - color
                emoji:
                  type: object
                  properties:
                    emojiStyle:
                      type: string
                    unified:
                      type: string
                  required:
                    - unified
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: boolean
                        enum:
                          - true
                      - type: boolean
                        enum:
                          - false
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '404':
          description: 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````